aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/ksh.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-17 19:59:43 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-17 19:59:43 +1200
commit81f58a57443236b0ef341c050780d73d566e8496 (patch)
tree5ba6f62e6739531f49603e57fb1dd2bf0bc0c74b /sh/shrc.d/ksh.sh
parentHandle setting ENV from ~/.profile (diff)
downloaddotfiles-81f58a57443236b0ef341c050780d73d566e8496.tar.gz
dotfiles-81f58a57443236b0ef341c050780d73d566e8496.zip
Move ksh ENV handling into shrc.d
Diffstat (limited to 'sh/shrc.d/ksh.sh')
-rw-r--r--sh/shrc.d/ksh.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/sh/shrc.d/ksh.sh b/sh/shrc.d/ksh.sh
new file mode 100644
index 00000000..e95e6d3f
--- /dev/null
+++ b/sh/shrc.d/ksh.sh
@@ -0,0 +1,8 @@
+# If we're running some kind of ksh, we'll need to source its specific
+# configuration if it was defined or if we can find it
+case $KSH_VERSION in
+ *'PD KSH '*)
+ [ -f "${KSH_ENV:-"$HOME"/.pdkshrc}" ] || return
+ . "${KSH_ENV:-"$HOME"/.pdkshrc}"
+ ;;
+esac